Bug 985288 - python-urlgrabber: Please add Python 3 subpackage
python-urlgrabber: Please add Python 3 subpackage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On: 1014583
Blocks: 1024827 985310
  Show dependency treegraph
 
Reported: 2013-07-17 05:03 EDT by Bohuslav "Slavek" Kabrda
Modified: 2015-08-04 14:41 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-04 14:41:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-07-17 05:03:43 EDT
Hi, would it be possible to add python3 subpackage to urlgrabber? Looking at the code, it seems that it should be Python 3 compatible (perhaps with few minor corrections).
Thanks.
Comment 1 Ales Kozumplik 2013-07-17 08:21:31 EDT
(similar librepo request: https://github.com/Tojaj/librepo/issues/17 )
Comment 4 Fedora End Of Life 2013-09-16 12:47:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Miro Hrončok 2013-10-01 10:34:43 EDT
How are we standing with this?

If you need any extra hand with this, feel free to use me :)
Comment 9 Tomas Radej 2014-08-20 07:56:29 EDT
Patch submitted upstream:

http://lists.baseurl.org/pipermail/yum-devel/2014-August/010675.html
Comment 10 Tomas Radej 2014-09-12 10:13:32 EDT
jzeleny told me that python-urlgrabber is to be dropped in f22, so this bug may be unnecessary.
Comment 11 Miroslav Suchý 2014-09-12 10:22:51 EDT
@jzeleny - why?

urlgrabber contains several features, which are nowhere to find (range requests, proxy support, throttling).
Comment 12 Tomas Radej 2014-09-12 11:46:36 EDT
He said that if someone requires the functionality, they have to take the ownership, but it should be dropped from all main packages.
Comment 13 Kamil Dudka 2014-09-15 02:00:39 EDT
(In reply to Miroslav Suchý from comment #11)
> urlgrabber contains several features, which are nowhere to find (range
> requests, proxy support, throttling).

All of them are implemented by libcurl and available via pycurl, which already supports Python 3.  urlgrabber, as it is implemented now, is only a redundant wrapper on top of pycurl.
Comment 14 Jan Zeleny 2014-09-15 06:51:59 EDT
Yes, that would be the reason. Most of the simple use cases are available via pycurl, for the more complex ones we have librepo.

To avoid any possible misunderstandings, we will not be dropping urlgrabber from Fedora. We will just minimize the active development and maintenance and discourage people from using it. Even if someone is willing to take the package and carry on, the effort spent on its maintenance would be wasted for the reasons listed above.
Comment 15 Jaroslav Reznik 2015-03-03 11:54:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Note You need to log in before you can comment on or make changes to this bug.